Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: A generic file selection front-end
Name: dfish
Version: 1.3
Release: alt2_14
License: GPL+
Source: http://danielsoft.sweb.cz/%{name}-%{version}.tar.gz
URL: http://danielsoft.sweb.cz/dfish.html
BuildArch: noarch
Requires: libtcl tcl libtk tk
Source44: import.info


%description
Daniel's File Selection Hack (dfish) is a generic front-end
for selecting files.
Running dfish will give you a menu with all the files in
the specified directory. When you double-click a file,
an arbitrary command will be run.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 dfish $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 dfish.1 $RPM_BUILD_ROOT/%{_mandir}/man1


%files
%{_bindir}/dfish
%doc README CHANGELOG COPYING
%{_mandir}/man1/dfish.1*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_14
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_13
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_12
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_11
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_9
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_8
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_7
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_6
- update to new release by fcimport

* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_5
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 1.3-alt2_4
- rebuild to get rid of unmets

* Fri Dec 14 2012 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_4
- converted for ALT Linux by srpmconvert tools

